Bug 22641 - Incorrect filter on SCO printslip
Summary: Incorrect filter on SCO printslip
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 13618
Blocks: 18387
  Show dependency treegraph
 
Reported: 2019-04-04 13:40 UTC by Nick Clemens
Modified: 2019-10-14 20:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22641: Use raw filter on html slip (1.56 KB, patch)
2019-04-04 13:42 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22641: Use raw filter on html slip (1.61 KB, patch)
2019-04-04 15:08 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22641: Use raw filter on html slip (1.72 KB, patch)
2019-04-05 18:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-04-04 13:40:48 UTC
To test:
Enable SCO
Load a patron
Hit finish, print slip
Note slip shows as raw html
Comment 1 Nick Clemens 2019-04-04 13:42:23 UTC
Created attachment 87414 [details] [review]
Bug 22641: Use raw filter on html slip

To test:
Enable SCO
Load a patron
Hit finish, print slip
Note slip shows as raw html
Apply patch
Repeat, get a correctly formatted slip
Comment 2 Liz Rea 2019-04-04 15:08:45 UTC
Created attachment 87419 [details] [review]
Bug 22641: Use raw filter on html slip

To test:
Enable SCO
Load a patron
Hit finish, print slip
Note slip shows as raw html
Apply patch
Repeat, get a correctly formatted slip

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Tomás Cohen Arazi 2019-04-05 18:33:11 UTC
Created attachment 87462 [details] [review]
Bug 22641: Use raw filter on html slip

To test:
Enable SCO
Load a patron
Hit finish, print slip
Note slip shows as raw html
Apply patch
Repeat, get a correctly formatted slip

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

https://bugs.koha-community.org/show_bug.cgi?id=22068
Comment 4 Nick Clemens 2019-04-10 20:15:11 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-15 11:02:05 UTC
Pushed to 18.11.x for 18.11.05
Comment 6 Lucas Gass 2019-04-16 20:18:01 UTC
fails the qa tool in 18.05. invalid template. I tried adding [% USE raw %] to no avail. Not backporting to 18.05.x